DOKU Malaysia API Reference
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
  1. Payment
  • Introduction
  • Getting Started
    • Create Account
    • Make your first API call
    • Authentication & API Keys
  • Checkout
    • Overview
    • Create Checkout
      POST
    • Retrieve Checkout Status
      GET
  • Payment
    • Overview
    • Create Payment
      POST
    • Get Bank List - FPX
      POST
    • Retrieve Payment Status
      GET
  • Cards Payment
    • Overview
    • Payment Form
      • Request Payment
    • Host-to-Host Payment
      • Check Three D Secure
      • Charge Payment
      • Capture Authorized Payment
    • Request Refund
      POST
    • Unbind Token
      POST
    • Check Status
      GET
  • Payout
    • Overview
    • Inquire Beneficiary Account
      POST
    • Send Payout
      POST
    • Read Payout Status
      GET
    • Read Available Balance
      GET
  • Notification
    • Overview
    • Retry Notification
    • Setup Notification URL
    • Sample Notification - Global
      POST
    • Sample Notification - Cards
      POST
  • Technical Reference
    • Authentication & Integrity
    • Idempotency
    • Data Type
    • Order & Transaction Status
    • Postman Collection
    • Response Code
      • Error Code
      • Payout Response Code
      • Credit Card Acquirer Response Code
    • API Version
      • Create Checkout
      • Create Payment
      • Get Bank List - FPX
      • Retrieve Checkout
      • Retrieve Payment
      • Inquire Beneficiary Account
      • Send Payout
      • Read Payout Status
      • Read Available Balance
    • Signature
      • Signature - Global
        • Prepare Signature Component
        • Generating Signature
        • Validating Signature
        • Sample Code
      • Signature - Cards Payment API
        • Signature Component from Response Header
        • Signature from API Get Method
        • Sample Code
        • Signature Component from Request Header
  1. Payment

Get Bank List - FPX

POST
/v3/payments/internet-banking/banks
Environment
Sandbox - https://api-sandbox.doku.com
Production - https://api.doku.com

Request

Header Params

Body Params application/json

Example
{
    "payment_channel": "INTERNET_BANKING_FPX",
    "type": "B2B"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v3/payments/internet-banking/banks' \
--header 'Authorization: Basic Base64(doku_ak_test_qblFNYngBkEdjEZ16jxxoWSM)' \
--header 'Client-Id: BRN-001-0000001' \
--header 'Request-Timestamp: {{$date.isoTimestamp}}' \
--header 'Idempotency-Id;' \
--header 'Signature;' \
--header 'API-Version: arabica.2025-12-01' \
--header 'Content-Type: application/json' \
--data '{
    "payment_channel": "INTERNET_BANKING_FPX",
    "type": "B2B"
}'

Responses

🟢200OK
application/json
Headers

Bodyapplication/json

Example
{
    "banks": [
        {
            "bank_code": "22",
            "bank_name": "Affin Bank",
            "status": "ACTIVE",
            "type": "B2B",
            "image_url": "https://cdn-doku/test"
        },
        {
            "bank_code": "27",
            "bank_name": "Alliance Bank Malaysia Berhad",
            "status": "INACTIVE",
            "type": "B2C",
            "image_url": "https://cdn-doku/test"
        }
    ],
    "payment_channel": "INTERNET_BANKING_FPX"
}
🟠400Bad Request
🟠401Unauthorized
🟠404Record Not Found
🟠408
🟠409
🔴500Server Error
Modified at 2026-10-28 09:45:38
Previous
Create Payment
Next
Retrieve Payment Status
Built with